return {
    "danymat/neogen",
    dependencies = {
        "nvim-treesitter/nvim-treesitter",
        "L3MON4D3/LuaSnip",
    },
    config = function ()
        local neogen = require("neogen")
        neogen.setup({
            snippet_engine = "luasnip"
        })
        vim.keymap.set("n", "<leader>nf", function() neogen.generate({type = "func"}) end)
        vim.keymap.set("n", "<leader>nc", function() neogen.generate({type = "class"}) end)
    end,
}
